# eric4.E4Gui.E4TreeSortFilterProxyModel

Module implementing a modified QSortFilterProxyModel.

### Global Attributes

None

### Classes

E4TreeSortFilterProxyModel | Class implementing a modified QSortFilterProxyModel.

### Functions

None

## E4TreeSortFilterProxyModel

Class implementing a modified QSortFilterProxyModel.

It always accepts the root nodes in the tree so filtering is only done on the children.

### Derived from

QSortFilterProxyModel

### Class Attributes

None

### Methods

E4TreeSortFilterProxyModel | Constructor
filterAcceptsRow | Protected method to determine, if the row is acceptable.
hasChildren | Public method to check, if a parent node has some children.

#### E4TreeSortFilterProxyModel (Constructor)

E4TreeSortFilterProxyModel(parent = None)

Constructor

parent
  reference to the parent object (QObject)

#### E4TreeSortFilterProxyModel.filterAcceptsRow

filterAcceptsRow(sourceRow, sourceParent)

Protected method to determine, if the row is acceptable.

sourceRow
  row number in the source model (integer)
sourceParent
  index of the source item (QModelIndex)

Returns:
  flag indicating acceptance (boolean)

#### E4TreeSortFilterProxyModel.hasChildren

hasChildren(parent = QModelIndex())

Public method to check, if a parent node has some children.

parent
  index of the parent node (QModelIndex)

Returns:
  flag indicating the presence of children (boolean)

Up